dotfiles/i3/lock.sh
Midgard ee91f79cb6
[lock.sh] Handle SSH agent off, don't check i3lock retval
Give a more appropriate message when no SSH agent is running.

In newer versions of i3lock, the return value isn't useful any more.
2019-06-13 19:39:53 +02:00

20 lines
786 B
Bash
Executable file

#!/bin/bash
set -euo pipefail
ssh_agent_file="/run/user/$EUID/ssh-agent-session"
if pgrep -u "$USER" ssh-agent > /dev/null && [[ -f "$ssh_agent_file" ]]; then
source "$ssh_agent_file"
if ! ssh-add -D; then
notify-send -u normal -i lock -a i3 'Failed to clear SSH key cache' 'ssh-add had a non-zero exit code.'
fi
else
notify-send -u normal -i lock -a i3 'No SSH agent running' 'No running SSH agent detected, so not clearing the key cache.'
fi
if ! gpg-connect-agent reloadagent /bye; then
notify-send -u normal -i lock -a i3 'Failed to clear GPG key cache' 'gpg-connect-agent had a non-zero exit code.'
fi
exec i3lock --tiling --lock-console --show-failed-attempts --color=000000 --image="$HOME/img/bg/Red-billed_streamertail_Trochilus_polytmus_female_in_flight_2_lock.png"